Uploaded image for project: 'Core Server'
  1. Core Server
  2. SERVER-27881

Upgrade to boost >= 1.63

    XMLWordPrintable

    Details

    • Type: Task
    • Status: Closed
    • Priority: Major - P3
    • Resolution: Fixed
    • Affects Version/s: None
    • Fix Version/s: 4.1.7
    • Component/s: Internal Code
    • Labels:
      None
    • Backwards Compatibility:
      Fully Compatible
    • Sprint:
      Dev Tools 2018-11-19, Dev Tools 2018-12-03, Dev Tools 2018-12-17
    • Linked BF Score:
      0

      Description

      An incomplete list of improvements over 1.60:

      • Fixes a gcc6 warning (commit1 commit2)
      • boost::optional::operator= {} matches c++17 std::optional behavior
      • boost::optional constructor supports c++17-style in_place construction

      The release notes mention a post-release patch to fix atomic code gen on gcc<4.7. It probably doesn't affect us since we require 5.3, but it may be worth considering.

        Attachments

          Issue Links

            Activity

              People

              Assignee:
              mathew.robinson Mathew Robinson (Inactive)
              Reporter:
              redbeard0531 Mathias Stearn
              Participants:
              Votes:
              2 Vote for this issue
              Watchers:
              8 Start watching this issue

                Dates

                Created:
                Updated:
                Resolved: